# RPM Spec file for mod_scep

Name:      mod_scep
Version:   0.2.4
Release:   1%{?dist}
Summary:   Redwax Apache Simple Certificate Enrollment Protocol module
License:   ASL 2.0
Group:     System Environment/Daemons
Source:    https://archive.redwax.eu/dist/rs/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Url:       https://redwax.eu/rs/
BuildRequires: gcc, pkgconfig(apr-1), pkgconfig(apr-util-1), pkgconfig(openssl), mod_ca-devel
Requires:  mod_ca

%if 0%{?is_opensuse}
%define moduledir %{_libdir}/apache2
%else
%define moduledir %{_libdir}/httpd/modules
%endif

%description
The Apache mod_scep module provides a mechanism to create certificates from
SCEP exchanges.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{moduledir}/%{name}.so


